## erlang-base64url 1.0

=== Makefile ===
all: deps compile check test

deps:
	rebar get-deps

compile:
	rebar compile

run: compile
	sh start.sh

clean:
	rebar clean
	rm -fr ebin .ct test/*.beam

check:
	rebar eunit skip_deps=true

test: deps compile check
	##rebar ct
	#mkdir -p .ct
	#ct_run -dir test -logdir .ct -pa ebin

dist: deps compile
	echo TODO

.PHONY: all deps compile check test run clean dist
.SILENT:

=== debian/changelog ===
erlang-base64url (1.0-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:38 +0100

erlang-base64url (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #882645)

 -- Philipp Huebner <debalance@debian.org>  Sat, 25 Nov 2017 09:57:49 +0100

=== debian/control ===
Source: erlang-base64url
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar
Standards-Version: 4.1.3
Homepage: https://github.com/dvv/base64url
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-base64url.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-base64url

Package: erlang-base64url
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends}
Description: standalone URL-safe base64-compatible codec for Erlang
 Base64Url is a standalone, URL-safe and base64-compatible codec for Erlang.
 It supports URL-safe base64 en- and decoding. Some systems in the wild use
 base64 URL encoding, but keep the padding for MIME compatibility
 (base64 Content-Transfer-Encoding).
 Base64Url allows one to interact with such systems.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-base64url


%:
	dh $@ --buildsystem=rebar --with rebar

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-base64url_$1.tar.gz/" \
         https://github.com/dvv/base64url/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-base64url 1.0.1

=== debian/changelog ===
erlang-base64url (1.0.1-8) unstable; urgency=medium

  * Updated lintian overrides
  * Dropped debian/erlang-base64url.install
  * Renamed debian/erlang-base64url.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 14:15:26 +0100

erlang-base64url (1.0.1-7) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Fri, 27 Oct 2023 08:55:51 +0200

erlang-base64url (1.0.1-6) unstable; urgency=medium

  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated debian/watch/

 -- Philipp Huebner <debalance@debian.org>  Tue, 21 Dec 2021 07:46:55 +0100

erlang-base64url (1.0.1-5) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 17:11:06 +0100

erlang-base64url (1.0.1-4) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 15:44:53 +0100

erlang-base64url (1.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Philipp Huebner ]
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Added debian/erlang-base64url.install
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 19:49:08 +0100

erlang-base64url (1.0.1-2) unstable; urgency=medium

  * Updated debhelper compat version: 12
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 20:17:35 +0100

erlang-base64url (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Enabled DH_VERBOSE in debian/rules
  * Updated years in debian/copyright
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 11:31:07 +0200

erlang-base64url (1.0-3) unstable; urgency=medium

  * Switched to debhelper 11
  * Updated debian/copyright
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 13:16:29 +0200

=== debian/control ===
Source: erlang-base64url
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-base64url
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-base64url.git
Homepage: https://github.com/dvv/base64url

Package: erlang-base64url
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends}
Multi-Arch: allowed
Description: standalone URL-safe base64-compatible codec for Erlang
 Base64Url is a standalone, URL-safe and base64-compatible codec for Erlang.
 It supports URL-safe base64 en- and decoding. Some systems in the wild use
 base64 URL encoding, but keep the padding for MIME compatibility
 (base64 Content-Transfer-Encoding).
 Base64Url allows one to interact with such systems.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-base64url_$1.tar.gz/" \
         https://github.com/dvv/base64url/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
